package pl.sloudpl.sloudchat.cmds;

import net.md_5.bungee.api.ChatColor;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import pl.sloudpl.sloudchat.SloudChat;

public class Chat implements CommandExecutor {

    SloudChat plugin;

    public Chat(SloudChat plugin){
        this.plugin = plugin;
        plugin.getCommand("chat").setExecutor(this);
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {

        if(sender instanceof Player){
            Player p = (Player) sender;
            if (sender.hasPermission("sloudpl.chat") || sender.isOp()) {
                if (args.length == 1) {
                    if (args[0].equalsIgnoreCase("clear")) {
                        for (int i = 0; i < 100; i++) {
                            Bukkit.getServer().broadcastMessage(" ");
                        }
                        Bukkit.getServer().broadcastMessage(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line1")));
                        Bukkit.getServer().broadcastMessage(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line2").replace("[Player]", p.getName()).replace("[PlayerDisplayName]", p.getDisplayName())));
                        Bukkit.getServer().broadcastMessage(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line3")));
                    }
                } else {
                    sender.sendMessage(ChatColor.RED + "Usage: /chat [clear]");
                }
            } else {
                sender.sendMessage(ChatColor.translateAlternateColorCodes('&', plugin.nopermission));
            }

        } else {
            sender.sendMessage(ChatColor.RED + "You need to be a player to use this command!");
        }

        return false;
    }

}
